%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Gtk

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Perl bindings for GTK
Name:		perl-%{perlname}
Version:	0.7009
Release:	6
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=Gtk
Source:		%{perlname}-Perl-0.7009.tar.gz
Patch0:		gtk-includes.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
Requires:	gtk+
Requires:	perl-XML-Parser
Requires:	perl-XML-Writer
Requires:	gdk-pixbuf
Requires:	libglade
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	gtk+-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Writer
BuildRequires:	imlib-devel 
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	libglade-devel
BuildRequires:	libglib-devel
BuildRequires:	pkg-config
BuildRequires:	libgnome-devel
Provides:	perl(LWP::Protocol::http), perl(Gtk::Gdk::Pixbuf::Types)

%description
Perl bindings for GTK

%prep
%setup -q -n %{perlname}-Perl-%{version}
# provide a libglade-config with pkg-config
echo -e "#!/bin/sh\npkg-config \$@ libglade" > libglade-config
chmod a+x libglade-config
# provide a gnome-config with pkg-config
echo -e "#!/bin/sh\nif [ $# -gt 2 ]; then\npkg-config \$@\nfi" > gnome-config
chmod a+x gnome-config
perl -pi -e '/CCMD/ && s|/m;|/mg;|' */Makefile.PL

%build
export PATH="$PATH:$(pwd)"
find ./ -type f -exec sed -i "s/\/usr\/local\/bin/\/usr\/bin/" \{\} \;
perl Makefile.PL --without-gnomeprint --without-applets --without-gtkglarea
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README VERSIONS
%_libdir
%_mandir

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.7009-6
- Rebuild against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.7009-5
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.7009-4
- Rebuild against perl-5.8.7
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.7009-3
- Added more suboptions
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.7009-2
- Tweaked Spec file, added new Summary, URL
* Sat Mar 26 2005 Stefan Gottwald <sg3881@web.de> 0.7009-1
- Initial Build
